/* 
 * Copyright (c) 2024 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */


#ifndef INCLUDED_SATLAB_SUB_MOV_OFFSET_H
#define INCLUDED_SATLAB_SUB_MOV_OFFSET_H

#include <gnuradio/satlab/api.h>
#include <gnuradio/sync_block.h>

namespace gr {
    namespace satlab {

        class SATLAB_API sub_mov_offset : virtual public gr::sync_block
        {
            public:
                typedef std::shared_ptr<sub_mov_offset> sptr;

                static sptr make(unsigned int window_size);
        };

    } /* namespace satlab */
} /* namespace gr */

#endif /* INCLUDED_SATLAB_SUB_MOV_OFFSET_H */
