/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/srs3_crc32c_check.h>

void bind_srs3_crc32c_check(py::module& m)
{
    using srs3_crc32c_check = ::gr::satlab::srs3_crc32c_check;

    py::class_<srs3_crc32c_check,
               gr::block,
               gr::basic_block,
               std::shared_ptr<srs3_crc32c_check>>(m, "srs3_crc32c_check")

        .def(py::init(&srs3_crc32c_check::make),
            py::arg("enable")
        )

        .def("set_enable",
            &srs3_crc32c_check::set_enable,
            py::arg("enable")
        );
}
