/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/srs3_oid_drop.h>

void bind_srs3_oid_drop(py::module& m)
{
    using srs3_oid_drop = ::gr::satlab::srs3_oid_drop;

    py::class_<srs3_oid_drop,
               gr::block,
               gr::basic_block,
               std::shared_ptr<srs3_oid_drop>>(m, "srs3_oid_drop")

        .def(py::init(&srs3_oid_drop::make));
}
