/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/sub_mov_offset.h>
// pydoc.h is automatically generated in the build directory
#include <sub_mov_offset_pydoc.h>

void bind_sub_mov_offset(py::module& m)
{
    using sub_mov_offset = ::gr::satlab::sub_mov_offset;

    py::class_<sub_mov_offset,
               gr::sync_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<sub_mov_offset>>(m, "sub_mov_offset", D(sub_mov_offset))

        .def(py::init(&sub_mov_offset::make),
            py::arg("window_size"),
            D(sub_mov_offset, make)
        );
}
